Package org.mariadb.jdbc.message.client

## Class PingPacket

- java.lang.Object
- - org.mariadb.jdbc.message.client.PingPacket

All Implemented Interfaces:
  `ClientMessage`

    public final class PingPacket
    extends Object
    implements ClientMessage

### Field Summary

Fields
`static PingPacket` `INSTANCE`

### Constructor Summary

Constructors
`PingPacket()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `encode​(PacketWriter writer, Context context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.message.client.ClientMessage

`batchUpdateLength, binaryProtocol, canSkipMeta, description, readPacket`

### Field Detail

#### INSTANCE

    public static final PingPacket INSTANCE

### Constructor Detail

#### PingPacket

    public PingPacket()

### Method Detail

#### encode

    public int encode​(PacketWriter writer,
                      Context context)
               throws IOException

Specified by:
  `encode` in interface `ClientMessage`
Throws:
  `IOException`